Versionsverlauf
===============

## [Noch nicht veröffentlicht]


## [Version 2.9.0]

Es sind folgende Fehler im **BASt-Band-Export** korrigiert:

- SFTP-Verbindung mit der Schlüssel-basierte Authentifizierung wird nicht verwendet, falls
  der Parameter **-PrvKeyDatei** leer ist. 

Es sind folgende Änderungen für den **BASt-Band-Export** vorgenommen:

- Mögliche Werte für den Aufrufparameter **-klassifizierungsGruppeBast** werden ohne Leeherzeichen angegeben
 
  Mögliche Werte: **"8plus1"**, **"5plus1"**, "2", "1".

## [Version 2.8.0]

Es sind folgende Änderungen für den **BASt-Band-Export** vorgenommen:

- SFTP-Verbindung um die Schlüssel-basierte Authentifizierung erweitert.

  Dazu sind zwei zusätzliche Parameter definiert:
  
	- **PrvKeyDatei**: Datei mit dem privaten Schlüssel. Falls der Wert leer ist (Defaultwert), 
	  wird keine Schlüssel-basierte Authentifizierung verwendet.
	- **PrvKeyPasswort**: Passwort für den privaten Schlüssel. Defaultwert ist ein leeres String.

  Parameter werden wie folgt im DaV-Datensatz kodiert:
  
 ```java
   // 3.Variante (SFTP mit der Schlüssel-basierten Authentifizierung; Speicherung hierarchisch/flach)
   Pattern pattern = Pattern.compile("-Benutzer:(.*)-Passwort:(.*)-URL:(.*)-Port:(.*)-Passivmodus:(.*)-Servertyp:(.*)-PrvKeyDatei:(.*)-PrvKeyPasswort:(.*)-SpeicherungHierarchisch:(.*)");
```

- Speicherart der exportierten Dateien auf dem Server definiert (hierarchisch mit Unterordnern wie bisher
  oder flach im Homeverzeichnis des Servers).
  
  Der neue Parameter für die Speicherart wird im DaV-Datensatz kodiert (siehe Java-Source oben):
  - **-SpeicherungHierarchisch** - mit möglichen Werten: ja (Defaultwert), nein.

Bemerkung: die älteren Varianten der Parameterkodierung im DaV-Datensatz werden weiterhin von der SWE berücksichtigt 
und bearbeitet.

## Version 2.7.0

- NERZ: Umstellung auf Gradle, Build durch FTB und Bereitstellung auf NERZ-Repositories
- Zusätzlich Variante für die Ermittlung der BASt-Nummer:
  - Als BASt-Nummer wird der Eintrag im Feld `TelefonNummer` in der ATG `atg.langZeitZählStelle`
    verwendet, sofern dieses **NICHT** leer ist.
  - Ist das Feld `TelefonNummer` leer, so werden (wie bisher) die letzten 4 Ziffern der 
    LZZS-Nummer als BASt-Nummer verwendet.
  - weitere Modifikationsmöglichkeiten siehe Anmerkungen bei Version 2.2.0
  

## Version 2.6.0

- BASt-Import: Import Klassifizierungsgruppe "2" aus der BASt-Datei korrigiert
  (alle undefinierte Attribute im Datenesatz belegt).

## Version 2.5.0

- BASt-Export: Neuer Aufrufparameter -klassifizierungsGruppeBast für die Angabe einer KlassifizierungsgruppeBAST (alternativ zur DaV-Konfiguration).
  Mögliche Werte: "8 plus 1", "5 plus 1", "2", "1".
  Falls Parameter nicht angegeben wird, wird die KlassifizierungsgruppeBAST aus der DaV-Konfiguration einer LZZS ausgelesen.

- BASt-Import: Import Klassifizierungsgruppe "2" aus der BASt-Datei implementiert.

## Version 2.4.0

- Import Bast-Band korrigiert:
  Parser hat nicht alle Prüfkennzeichen berücksichtigt. Es fehlten die Zeichen 'a', und 'd':
````
class ParseSpaltenWert {
    private static int[]        AR_KORREKTE_PRUEFKENNZEICHEN = { '-', 'u', 's', 'a', 'd', 'k', 'z' };
````

## Version 2.3.0

- Angaben, wenn BASt-Exporte die Archiv-Daten von einem anderen Datenverteiler
ermittelt werden sollen.

  - Neuer Aufrufparameter -davArchivDatenverteiler=IP-Adresse:Host
  - Neuer Aufrufparameter -davArchivBenutzer=Benutzer
  - Neuer Aufrufparameter -davArchivPasswort=Passwort

` ACHTUNG:`
 Spezieller Anwendungsfall für BW, um die BASt-Daten auf Basis
 der Archivdaten der VRZ zu erzeugen (davArchivDatenverteiler),
 der Prozess aber weiterhin auf der DAUZ gestartet werden kann
 (da hier die Konfig für die Steuerung vorhanden ist und die
 Bedienung auf diese zugreift). Sonderfall wurde notwendig,
 da BW-DAUZ Archiv plötzlich gelöscht war, aber die BASt-Daten
 für das Jahr 2015 und 2016 nachgerechnet werden musste.

## Version 2.2.0

- Neuer Aufrufparameter -dateiNameV2004LzzsNr

  Neuer Aufrufparameter -dateiNameV2004LzzsNr=[ja|nein].
  Default ist nein (Standardverhalten in Version 2.1.0)
  Über den Parameter lässt sich einstellen, wie der DateiName für den Export Version2004 gebildet wird:
  - ja   --> aus der LZZS-Nummer,
  - nein --> aus Bast-Nummer (letzte 4 Ziffern der LZZS-Nummer).

## Version 2.1.0

- Neuer Aufrufparameter -versionAxlEinzeldaten

  Neuer Aufrufparameter -versionAxlEinzeldaten=[1|2|3].
  Default ist 3 (Standardverhalten in Version 2.0.0)
  Über den Parameter laesst sich einstellen, ob die BASt-AXL-Daten aus dem DE-Block der FG 2 berechnet werden sollen.

  - Typ 60 Einzelergebnismeldung Radlasten und KFZ-Gesamtgewicht (Version 1)
  -->  -versionAxlEinzeldaten=1
  - Typ 61 Einzelergebnismeldung Radlasten und KFZ-Gesamtgewicht (Version 2)
  -->  -versionAxlEinzeldaten=2
  - Typ 62 Einzelergebnismeldung Radlasten und KFZ-Gesamtgewicht (Version 3)
  -->  -versionAxlEinzeldaten=3

## Version 2.0.0

- Zusätzliche Übertragungsprotokoll für SFTP integriert

- Neue Aufrufparamter: -tempVerzeichnis=PfadUndOrdner
  Default-Wert = ../../TempOrdnerFtp/


[Noch nicht veröffentlicht]: https://gitlab.nerz-ev.de/ERZ/SWE_de.inovat.kex.bast/compare/v2.9.0...HEAD
[Version 2.9.0]: https://gitlab.nerz-ev.de/ERZ/SWE_de.inovat.kex.bast/compare/v2.8.0...v2.9.0
[Version 2.8.0]: https://gitlab.nerz-ev.de/ERZ/SWE_de.inovat.kex.bast/compare/v2.7.0...v2.8.0
