/**
 * Copyright (c) 2004 Logos GmbH Rostock (www.logos-ib.de).
 * All rights reserved.
 *
 * THIS SOFTWARE IS  PROVIDED  "AS IS"  AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF  MERCHANTABILITY  AND  FITNESS  FOR  A PARTICULAR  PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL  LOGOS GMBH  OR ITS CONTRIBUTORS BE
 * LIABLE FOR ANY  DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY,
 * OR CONSEQUENTIAL DAMAGES  (INCL., BUT NOT LIMITED TO, PROCUREMENT
 * OF SUBSTITUTE GOODS OR SERVICES;  LOSS OF USE, DATA, OR  PROFITS;
 * OR BUSINESS INTERRUPTION)  HOWEVER  CAUSED  AND  ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,  OR TORT (INCL.
 * NEGLIGENCE OR OTHERWISE)  ARISING  IN  ANY  WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package de.inovat.kex.bast.common;

/**
 * wird von einigen Klassen geworfen, wenn ein SystemObject über die PID
 * angefordert wird, es aber kein Objekt mit dieser PID im DatenModell gibt.
 * 
 * @author LOGOS GmbH Rostock (www.logos-ib.de)
 * @author J. Schawaller
 * @version $Id: DataModellObjectNotFoundException.java 442 2008-11-10 06:59:32Z Schawaller $
 */
public class DataModellObjectNotFoundException extends java.lang.Exception {

  private static final long serialVersionUID = 1L;

  String _PID;

  public DataModellObjectNotFoundException(String message, String pid) {
    super(message);
    _PID = pid;
  }

  /**
   * die PID für die es kein Object in im DatenModell gab
   *
   * @return String
   */
  public String getPID() {
    return _PID;
  }

}
