/**
 * Copyright (c) 2004 Logos GmbH Rostock (www.logos-ib.de).
 * All rights reserved.
 *
 * THIS SOFTWARE IS  PROVIDED  "AS IS"  AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF  MERCHANTABILITY  AND  FITNESS  FOR  A PARTICULAR  PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL  LOGOS GMBH  OR ITS CONTRIBUTORS BE
 * LIABLE FOR ANY  DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY,
 * OR CONSEQUENTIAL DAMAGES  (INCL., BUT NOT LIMITED TO, PROCUREMENT
 * OF SUBSTITUTE GOODS OR SERVICES;  LOSS OF USE, DATA, OR  PROFITS;
 * OR BUSINESS INTERRUPTION)  HOWEVER  CAUSED  AND  ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,  OR TORT (INCL.
 * NEGLIGENCE OR OTHERWISE)  ARISING  IN  ANY  WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package de.inovat.kex.bast.common;

/*
 * 2007-07-10 [KS]  Package Umstrukturierung nach Segment - SWE (=> funclib)
 *
 * Revision 1.1  2007/07/10 12:16:07  Strey
 * Package Umstrukturierung nach BLAK-VRZ in Segment.SWE und Bereinigung redundanter Funktionen/Klassen
 */

/**
 * <p>Typ eines Zeitintervalles.</p>
 *
 * @author LOGOS GmbH Rostock (www.logos-ib.de)
 * @author Ralf Trier
 * @version $Id: IntervalType.java 442 2008-11-10 06:59:32Z Schawaller $
 */
public enum IntervalType {
  /**
   * Typ f&uuml;r ein Intervall mit einer L&auml;nge von einer Sekunde
   */
  SECOND,
  /**
   * Typ f&uuml;r ein Intervall mit einer L&auml;nge von einer Minute
   */
  MINUTE,
  /**
   * Typ f&uuml;r ein Intervall mit einer L&auml;nge von 15 Minuten
   */
  MINUTE15,
  /**
   * Typ f&uuml;r ein Intervall mit einer L&auml;nge von einer Stunde
   */
  HOUR,
  /**
   * Typ f&uuml;r ein Intervall mit einer L&auml;nge von einer Tag
   */
  DAY,
  /**
   * Typ f&uuml;r ein Intervall mit einer L&auml;nge von einer Monat
   */
  MONTH,
  /**
   * Typ f&uuml;r ein Intervall mit einer L&auml;nge von einer Jahr
   */
  YEAR
}


