/**
 * Copyright (c) 2004-2006 Logos GmbH Rostock (www.logos-ib.de).
 * All rights reserved.
 *
 * THIS SOFTWARE IS  PROVIDED  "AS IS"  AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF  MERCHANTABILITY  AND  FITNESS  FOR  A PARTICULAR  PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL  LOGOS GMBH  OR ITS CONTRIBUTORS BE
 * LIABLE FOR ANY  DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY,
 * OR CONSEQUENTIAL DAMAGES  (INCL., BUT NOT LIMITED TO, PROCUREMENT
 * OF SUBSTITUTE GOODS OR SERVICES;  LOSS OF USE, DATA, OR  PROFITS;
 * OR BUSINESS INTERRUPTION)  HOWEVER  CAUSED  AND  ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,  OR TORT (INCL.
 * NEGLIGENCE OR OTHERWISE)  ARISING  IN  ANY  WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package de.inovat.kex.bast.common.constants;

/*
 * History:
 * 2007-10-15 [KS] Einzelattribute in FG3-ATGs zugefügt (Klasse ATT_NAME_FG3)
 * 2007-07-09 [KS] Erweiterung um neue Konfigurationskonstanten (u.a. aus
 *                 der alten Klasse ...dua.Constants.*)
 *                 
 * Revision 1.5  2007/10/17 08:41:28  Strey
 * DUA FG3: Logger+Konstanten angepasst
 */

/**
 * <p>ToDO</p>
 * 
 * @author LOGOS GmbH Rostock (www.logos-ib.de)
 * @author K. Strey
 * @version $Id: ConfigurationConstants.java 442 2008-11-10 06:59:32Z Schawaller $
 */
public class ConfigurationConstants
{
  // ========== Zusammenfassung TYP / ATG / ASP ==========


  // TYP bekommen noch eigene Klassen, PID von dort holen falls definiert
  public static class TYP {
    public static final String KONFIGURATIONS_OBJEKT = "typ.konfigurationsObjekt";
    public static final String ATTRIBUTGRUPPE = "typ.attributgruppe";
    public static final String ASPEKT = "typ.aspekt";
    public static final String PLFORMAL = "typ.plausibilitätsPrüfungFormal";
    //
    public static final String LANGZEIT_ZAEHLSTELLE = "typ.langZeitZählstelle";
    public static final String ACHSLAST_MESSSTELLE = "typ.achsLastMessStelle";

    public static final String FAHRSTREIFEN = "typ.fahrStreifen";
    public static final String FAHRSTREIFEN_LANGZEIT = "typ.fahrStreifenLangZeit";
    public static final String MESSQUERSCHNITT = "typ.messQuerschnitt";
    public static final String MESSQUERSCHNITT_ALLGEMEIN ="typ.messQuerschnittAllgemein";
    public static final String MESSQUERSCHNITT_VIRTUELL ="typ.messQuerschnittVirtuell";
    public static final String AUSWERTEQUERSCHNITT = "typ.auswerteQuerschnitt";
    public static final String VERKERHSDATEN_QUELLE_DE_LVE = "typ.deLve";
    public static final String VERKEHRSDATEN_QUELLE_ASCII = "typ.verkehrsDatenQuelleASCII";
    public static final String VERKEHRSDATEN_QUELLE_VIRTUELL = "typ.verkehrsDatenQuelleVirtuell";

    public static final String STEUERMODUL = "typ.steuerModul";
    public static final String EAK ="typ.eak";
    public static final String DE = "typ.de";
    public static final String DE_SYS = "typ.deSys";
    public static final String DE_LVE = "typ.deLve";
    public static final String DE_AXL = "typ.deAxl";
    public static final String DE_UFD = "typ.deUfd";
    public static final String DE_VLT = "typ.deVlt";

    // .....
  }

  // MENGEN an TYP
  public static class MENGE {
    public static final String EAK_DE = "De";
    public static final String STEUERMODUL_EAK = "Eak";
    public static final String MESSQUERSCHNITT_FAHRSTREIFEN = "FahrStreifen";
    public static final String LANGZEITZAEHLSTELLE_AUSWERTEQUERSCHNITTE = "AuswerteQuerschnitte";
  }

  // ATG haben eigene Klassen, PID von dort holen, falls definiert
  public static class ATG {
    public static final String PLFORMAL = "atg.plausibilitätsPrüfungFormal";
    public static final String GMA_UMFELDDATEN = "atg.gmaUmfelddaten";
    public static final String VERKEHRSDATEN_KURZZEIT_INTERVALL_PLLOGISCH = "atg.verkehrsDatenKurzZeitIntervallPlausibilitätsPrüfungLogisch";
    public static final String VERKEHRSDATEN_DIFFERENTIALKONTROLLE_FS = "atg.verkehrsDatenDifferenzialKontrolleFs";
    public static final String VERKEHRSDATEN_VERTRAUENSBEREICH_FS = "atg.verkehrsDatenVertrauensBereichFs";
    public static final String VERKEHRSDATEN_AUSFALLHAEUFIGKEIT_FS = "atg.verkehrsDatenAusfallHäufigkeitFs";

    public static final String VERKEHRSDATEN_KURZZEIT_INTERVALL = "atg.verkehrsDatenKurzZeitIntervall";
    public static final String VERKEHRSDATEN_LANGZEIT_INTERVALL = "atg.verkehrsDatenLangZeitIntervall";
    // .....
    public static final String LANGZEITDATEN_FAHRZEUGANZAHL =  "atg.langZeitDatenFahrzeugAnzahl";
    public static final String LANGZEITDATEN_GESCHWINDIGKEIT = "atg.langZeitDatenGeschwindigkeit";
    public static final String LANGZEITDATEN_DTV = "atg.langZeitDatenDTV";
    public static final String LANGZEITDATEN_V85 = "atg.langZeitDatenV85";
    public static final String LANGZEITDATEN_V50 = "atg.langZeitDatenV50";
    public static final String LANGZEITDATEN_V15 = "atg.langZeitDatenV15";
    public static final String LANGZEITDATEN_SPITZENSTUNDE = "atg.langZeitDatenSpitzenStunde";
    public static final String LANGZEITDATEN_SPITZENTAG = "atg.langZeitDatenSpitzenTag";
    public static final String LANGZEITDATEN_VK130 = "atg.langZeitDatenVK130";
    public static final String LANGZEITDATEN_VK160 = "atg.langZeitDatenVK160";

    public static final String LANGZEITZAEHLSTELLE = "atg.langZeitZählstelle";
    public static final String AUSWERTEQUERSCHNITT = "atg.auswerteQuerschnitt";
    public static final String FAHRSTREIFEN = "atg.fahrStreifen";

    public static final String TLS_GLO_DE_BLOCK_ABRUF = "atg.tlsGloDeBlockAbruf";
    public static final String TLS_GLO_DE_BLOCK_SENDEN = "atg.tlsGloDeBlockSenden";
    public static final String TLS_GLO_DE_FEHLER = "atg.tlsGloDeFehler";
    public static final String TLS_GLO_KANALSTEUERUNG = "atg.tlsGloKanalSteuerung";
    public static final String TLS_GLO_GEOGRAFISCHE_KENNDATEN = "atg.tlsGloGeographischeKenndaten";

    public static final String TLS_SYS_ERGAENZENDE_DE_FEHLERMELDUNG = "atg.tlsSysErgänzendeDeFehlerMeldung";
    public static final String TLS_SYS_NEGATIVE_QUITTUNG = "atg.tlsSysNegativeQuittung";
    public static final String TLS_SYS_INITIALISIERUNGSMELDUNG = "atg.tlsSysInitialisierungsMeldung";
    public static final String TLS_SYS_ZEITSYNCHRONISATION = "atg.tlsSysZeitSynchronisation";
    public static final String TLS_SYS_KOMMUNIKATIONSSTATUS = "atg.tlsSysKommunikationsStatus";
    public static final String TLS_SYS_POSITIVE_QUITTUNG = "atg.tlsSysPositiveQuittung";
    public static final String TLS_SYS_STATISCHE_GERAETEKENNDATEN = "atg.tlsSysStatischeGeräteKennDaten";
    public static final String TLS_SYS_KONFIGURATIONSTABELLE = "atg.tlsSysKonfigurationsTabelle";
    public static final String TLS_SYS_OSI3_ROUTINGFELD = "atg.tlsSysOSI3RoutingFeld";
    public static final String TLS_SYS_KNOTENNUMMER = "atg.tlsSysKnotenNummer";
    public static final String TLS_SYS_RESET = "atg.tlsSysReset";

    public static final String TLS_SYS_ABRUF_SECONDARY_TELEFONNUMMERNZUORDNUNG = "atg.tlsAbrufSecondaryTelefonNummernZuordnung";
    public static final String TLS_SYS_ABRUF_TELEFONNUMMER = "atg.tlsAbrufTelefonNummer";
    public static final String TLS_SYS_TELEFONNUMMERNZUORDNUNG = "atg.tlsSecondaryTelefonNummernZuordnung";
    public static final String TLS_SYS_TELEFONNUMMER = "atg.tlsTelefonNummer";
    public static final String TLS_SYS_KOMPRIMIERTE_BUSKONFIGURATION = "atg.tlsKomprimierteBusKonfiguration";
// deprecated public static final String TLS_SYS_BUSKONFIGURATION = "atg.tlsBusKonfiguration";
// deprecated public static final String TLS_SYS_TELEFONPARAMETER = "atg.tlsTelefonParameter";

    public static final String TLS_LVE_ERGAENZENDE_DE_FEHLERMELDUNG = "atg.tlsLveErgänzendeDeFehlerMeldung";
    public static final String TLS_LVE_NEGATIVE_QUITTUNG = "atg.tlsLveNegativeQuittung";
    public static final String TLS_LVE_ABRUF_PUFFERINHALT = "atg.tlsLveAbrufPufferInhalt";
    public static final String TLS_LVE_BETRIEBSPARAMETER = "atg.tlsLveBetriebsParameter";
    public static final String TLS_SVE_BETRIEBSPARAMETER = "atg.tlsSveBetriebsParameter";
    public static final String TLS_LVE_PARAMETER_VK_KURZZEITDATEN_PKWAE = "atg.tlsLveParameterFürGeschwindigkeitsKlassenBeiKurzzeitDatenPkwÄ";
    public static final String TLS_LVE_PARAMETER_VK_KURZZEITDATEN_LKWAE = "atg.tlsLveParameterFürGeschwindigkeitsKlassenBeiKurzzeitDatenLkwÄ";
    public static final String TLS_LVE_PARAMETER_VK_LANGZEITDATEN_PKWG = "atg.tlsLveParameterFürGeschwindigkeitsKlassenBeiLangzeitDatenPkwG";
    public static final String TLS_LVE_PARAMETER_VK_LANGZEITDATEN_PKWA = "atg.tlsLveParameterFürGeschwindigkeitsKlassenBeiLangzeitDatenPkwA";
    public static final String TLS_LVE_PARAMETER_VK_LANGZEITDATEN_LKW = "atg.tlsLveParameterFürGeschwindigkeitsKlassenBeiLangzeitDatenLkw";
    public static final String TLS_LVE_PARAMETER_VK_LANGZEITDATEN_LKWK = "atg.tlsLveParameterFürGeschwindigkeitsKlassenBeiLangzeitDatenLkwK";
    public static final String TLS_LVE_PARAMETER_VK_LANGZEITDATEN_BUS = "atg.tlsLveParameterFürGeschwindigkeitsKlassenBeiLangzeitDatenBus";
    public static final String TLS_LVE_PARAMETER_VK_LANGZEITDATEN_NKKFZ = "atg.tlsLveParameterFürGeschwindigkeitsKlassenBeiLangzeitDatenKfzNk";
    public static final String TLS_LVE_PARAMETER_VK_LANGZEITDATEN_PKW = "atg.tlsLveParameterFürGeschwindigkeitsKlassenBeiLangzeitDatenPkw";
    public static final String TLS_LVE_PARAMETER_VK_LANGZEITDATEN_LKWA = "atg.tlsLveParameterFürGeschwindigkeitsKlassenBeiLangzeitDatenLkwA";
    public static final String TLS_LVE_PARAMETER_VK_LANGZEITDATEN_SKFZ = "atg.tlsLveParameterFürGeschwindigkeitsKlassenBeiLangzeitDatenSattelKfz";
    public static final String TLS_LVE_PARAMETER_VK_LANGZEITDATEN_KRAD = "atg.tlsLveParameterFürGeschwindigkeitsKlassenBeiLangzeitDatenKrad";
    public static final String TLS_LVE_PARAMETER_VK_LANGZEITDATEN_LFW = "atg.tlsLveParameterFürGeschwindigkeitsKlassenBeiLangzeitDatenLfw";
    public static final String TLS_LVE_PARAMETER_VK_LANGZEITDATEN_PKWAE = "atg.tlsLveParameterFürGeschwindigkeitsKlassenBeiLangzeitDatenPkwÄ";
    public static final String TLS_LVE_PARAMETER_VK_LANGZEITDATEN_LKWAE = "atg.tlsLveParameterFürGeschwindigkeitsKlassenBeiLangzeitDatenLkwÄ";
    public static final String TLS_LVE_PARAMETER_VK_LANGZEITDATEN_KFZ = "atg.tlsLveParameterFürGeschwindigkeitsKlassenBeiLangzeitDatenKfz";
    public static final String TLS_LVE_ERGEBNISMELDUNG_VERSION0BIS4 = "atg.tlsLveErgebnisMeldungVersion0Bis4";
    public static final String TLS_LVE_ERGEBNISMELDUNG_VERSION10BIS23 = "atg.tlsLveErgebnisMeldungVersion10Bis23";
    public static final String TLS_SVE_ERGEBNISMELDUNG_VERSION0BIS1 = "atg.tlsSveErgebnisMeldungVersion0Bis1";
    public static final String TLS_LVE_KFZ_EINZELDATEN = "atg.tlsLveKfzEinzelDaten";

    public static final String TLS_AXL_ERGAENZENDE_DE_FEHLERMELDUNG = "atg.tlsAxlErgänzendeDeFehlerMeldung";
    public static final String TLS_AXL_NEGATIVE_QUITTUNG = "atg.tlsAxlNegativeQuittung";
    public static final String TLS_AXL_ABRUF_PUFFERINHALT = "atg.tlsAxlAbrufPufferInhalt";
    public static final String TLS_AXL_ABRUF_PUFFERINHALT_EINZELERGEBNISMELDUNG = "atg.tlsAxlAbrufPufferInhaltEinzelErgebnisMeldungen";
    public static final String TLS_AXL_BETRIEBSPARAMETER = "atg.tlsAxlBetriebsParameter";
    public static final String TLS_AXL_GRENZWERTE_FUER_ACHSLASTEN_UND_UEBERLADUNG = "atg.tlsAxlGrenzWerteFürAchsLastenUndGesamtGewichteÜberladung";
    public static final String TLS_AXL_PARAMETER_FUER_ACH_UND_GEWICHTSKLASSEN = "atg.tlsAxlParameterFürAchsUndGewichtsKlassen";
    public static final String TLS_AXL_ERGEBNISMELDUNG_VERSION10 = "atg.tlsAxlErgebnisMeldungAchsLastDatenVersion10";

    public static final String TLS_UFD_ERGAENZENDE_DE_FEHLERMELDUNG = "atg.tlsUfdErgänzendeDeFehlerMeldung";
    public static final String TLS_UFD_NEAGTIVE_QUITTUNG = "atg.tlsUfdNegativeQuittung";
    public static final String TLS_UFD_BETRIEBSPARAMETER = "atg.tlsUfdBetriebsParameter";
    public static final String TLS_UFD_ERGEBNISMELDUNG_TYP35 = "atg.tlsUfdErgebnisMeldungTyp35";
    public static final String TLS_UFD_ERGEBNISMELDUNG_LUFTTEMPERATUR = "atg.tlsUfdErgebnisMeldungLuftTemperaturLT";
    public static final String TLS_UFD_ERGEBNISMELDUNG_FAHRBAHNOBERFLAECHENTEMPERATUR = "atg.tlsUfdErgebnisMeldungFahrbahnOberFlächenTemperaturFBT";
    public static final String TLS_UFD_ERGEBNISMELDUNG_FAHRBAHNFEUCHTE = "atg.tlsUfdErgebnisMeldungFahrbahnFeuchteFBF";
    public static final String TLS_UFD_ERGEBNISMELDUNG_FAHRBAHNOBERFLAECHE = "atg.tlsUfdErgebnisMeldungFahrbahnOberFläche";
    public static final String TLS_UFD_ERGEBNISMELDUNG_RESTSALZ = "atg.tlsUfdErgebnisMeldungRestSalzRS";
    public static final String TLS_UFD_ERGEBNISMELDUNG_NIEDERSCHLAGSINTENSITAET = "atg.tlsUfdErgebnisMeldungNiederschlagsIntensitätNI";
    public static final String TLS_UFD_ERGEBNISMELDUNG_LUFTDRUCK = "atg.tlsUfdErgebnisMeldungLuftDruckLD";
    public static final String TLS_UFD_ERGEBNISMELDUNG_RELATIVE_LUFTFEUCHTE = "atg.tlsUfdErgebnisMeldungRelativeLuftFeuchteRLF";
    public static final String TLS_UFD_ERGEBNISMELDUNG_WINDRICHTUNG = "atg.tlsUfdErgebnisMeldungWindRichtungWR";
    public static final String TLS_UFD_ERGEBNISMELDUNG_WINDGESCHWINDIGKEIT_MITTEL = "atg.tlsUfdErgebnisMeldungWindGeschwindigkeitMittelWertWGM";
    public static final String TLS_UFD_ERGEBNISMELDUNG_SCHNEEHOEHE = "atg.tlsUfdErgebnisMeldungSchneeHöheSH";
    public static final String TLS_UFD_ERGEBNISMELDUNG_FAHRBAHNGLAETTE = "atg.tlsUfdErgebnisMeldungFahrbahnGlätteFBG";
    public static final String TLS_UFD_ERGEBNISMELDUNG_SICHTWEITE = "atg.tlsUfdErgebnisMeldungSichtWeiteSW";
    public static final String TLS_UFD_ERGEBNISMELDUNG_HELLIGKEIT = "atg.tlsUfdErgebnisMeldungHelligkeitHK";
    public static final String TLS_UFD_ERGEBNISMELDUNG_NIEDERSCHLAGSMENGE = "atg.tlsUfdErgebnisMeldungNiederschlagsMengeNM";
    public static final String TLS_UFD_ERGEBNISMELDUNG_NIEDERSCHLAG = "atg.tlsUfdErgebnisMeldungNiederschlag";
    public static final String TLS_UFD_ERGEBNISMELDUNG_WINDGESCWHWINDIGKEIT_SPITZE = "atg.tlsUfdErgebnisMeldungWindGeschwindigkeitSpitzenWertWGS";
    public static final String TLS_UFD_ERGEBNISMELDUNG_GEFRIERPUNKTTEMPERATUR = "atg.tlsUfdErgebnisMeldungGefrierTemperaturGT";
    public static final String TLS_UFD_ERGEBNISMELDUNG_TAUPUNKTTEMPERATUR = "atg.tlsUfdErgebnisMeldungTaupunktTemperaturTPT";
    public static final String TLS_UFD_ERGEBNISMELDUNG_TEMPERATUR_IN_TIEFE1 = "atg.tlsUfdErgebnisMeldungTemperaturInTiefe1TT1";
    public static final String TLS_UFD_ERGEBNISMELDUNG_TEMPERATUR_IN_TIEFE2 = "atg.tlsUfdErgebnisMeldungTemperaturInTiefe2TT2";
    public static final String TLS_UFD_ERGEBNISMELDUNG_TEMPERATUR_IN_TIEFE3 = "atg.tlsUfdErgebnisMeldungTemperaturInTiefe3TT3";
    public static final String TLS_UFD_ERGEBNISMELDUNG_ZUSTAND_DER_FAHRBAHNOBERFLAECHE = "atg.tlsUfdErgebnisMeldungZustandDerFahrbahnOberFlächeFBZ";
    public static final String TLS_UFD_ERGEBNISMELDUNG_NIEDERSCHLAGSART = "atg.tlsUfdErgebnisMeldungNiederschlagsArtNS";
    public static final String TLS_UFD_ERGEBNISMELDUNG_WASSERFILMDICKE = "atg.tlsUfdErgebnisMeldungWasserFilmDickeWFD";
    public static final String TLS_UFD_ERGEBNISMELDUNG_ZEITRESERVE_GLAETTE = "atg.tlsUfdErgebnisMeldungZeitreserveGlätteZG";

    public static final String TLS_UFD_ERGEBNISMELDUNG_FBZ_VAISALA = "atg.tlsUfdErgebnisMeldungZustandDerFahrbahnOberFlächeFBZVaisala";
    public static final String TLS_UFD_ERGEBNISMELDUNG_NIEDERSCHLAGSUMME_VAISALA = "atg.tlsUfdErgebnisMeldungNiederschlagSummeVaisala";
    public static final String TLS_UFD_ERGEBNISMELDUNG_MENGE_ENTEISUNGSMITTEL_VAISALA = "atg.tlsUfdErgebnisMeldungMengeEnteisungsmittelVaisala";
    public static final String TLS_UFD_ERGEBNISMELDUNG_NWS_CODE_VAISALA = "atg.tlsUfdErgebnisMeldungNWSCodeVaisala";
    public static final String TLS_UFD_ERGEBNISMELDUNG_SYSTEMSTATUS_VAISALA = "atg.tlsUfdErgebnisMeldungInternerSystemstatusVaisala";
    public static final String TLS_UFD_ERGEBNISMELDUNG_LIQUIDUSTEMPERATUR_VAISALA = "atg.tlsUfdErgebnisMeldungLiquidusTemperaturVaisala";
    public static final String TLS_UFD_ERGEBNISMELDUNG_WMO_CODE_VAISALA = "atg.tlsUfdErgebnisMeldungWMOCodeVaisala";

    public static final String TLS_UFD_ERGEBNISMELDUNG_ZEITRESERVE_GLAETTE_MICKS ="atg.tlsUfdErgebnisMeldungZeitreserveGlätteZGMicKS";
    public static final String TLS_UFD_ERGEBNISMELDUNG_FAHRBAHNGLAETTE_MICKS = "atg.tlsUfdErgebnisMeldungFahrbahnGlätteFBGMicKS";

    public static final String TLS_VLT_ERGAENZENDE_DE_FEHLERMELDUNG = "atg.tlsVltErgänzendeDeFehlerMeldung";
    public static final String TLS_VLT_NEGATIVE_QUITTUNG = "atg.tlsVltNegativeQuittung";
    public static final String TLS_VLT_BETRIEBSPARAMETER = "atg.tlsVltBetriebsParameter";
    public static final String TLS_VLT_TUERKONTAKT = "atg.tlsVltTürKontakt";
    public static final String TLS_VLT_TEMPERATURUEBERWACHUNG = "atg.tlsVltTemperaturÜberwachung";
    public static final String TLS_VLT_LICHT = "atg.tlsVltLicht";
    public static final String TLS_VLT_STROMVERSORGUNG = "atg.tlsVltStromVersorung";
    public static final String TLS_VLT_HEIZUNG = "atg.tlsVltHeizung";
    public static final String TLS_VLT_LUEFTUNG = "atg.tlsVltLüftung";
    public static final String TLS_VLT_UEBERSPANNUNGSSCHUTZ = "atg.tlsVltÜberspannungsSchutz";
    public static final String TLS_VLE_DIEBSTAHL_VANDALISMUS_SCHUTZ = "atg.tlsVltDiebstahlVandalismusSchutz";
    public static final String TLS_VLT_FERNUEBERWACHUNG_SOLAR_ANLAGEN = "atg.tlsVltFernÜberwachungSolarAnlagen";

    public static final String GERAET = "atg.gerät";
    public static final String DE = "atg.de";
    public static final String DE_SYS = "atg.deSys";
    public static final String DE_LVE = "atg.deLve";
    public static final String DE_AXL = "atg.deAxl";
    public static final String DE_UFD = "atg.deUfd";
    public static final String DE_VLT = "atg.deVlt";
    public static final String EAK = "atg.eak";

  }

  // ASP haben (noch) keine eigenen Klassen
  public static class ASP {
    public static final String EIGENSCHAFTEN = "asp.eigenschaften";
    public static final String PARAMETER_IST = "asp.parameterIst";
    public static final String PARAMETER_SOLL = "asp.parameterSoll";
    public static final String PARAMETER_VORGABE = "asp.parameterVorgabe";
    public static final String EXTERNE_ERFASSUNG = "asp.externeErfassung";
    public static final String PLPRUEFUNG_FORMAL = "asp.plausibilitätsPrüfungFormal";
    public static final String PLPRUEFUNG_LOGISCH = "asp.plausibilitätsPrüfungLogisch";
    public static final String MESSWERT_ERSETZUNG = "asp.messWertErsetzung";
    public static final String ANALYSE = "asp.analyse";
    public static final String PROGNOSE = "asp.prognose";

    public static final String AGGREGATIONSINTERVALL_15MINUTEN = "asp.aggregationsIntervall15Minuten";
    public static final String AGGREGATIONSINTERVALL_STUNDE = "asp.aggregationsIntervallStunde";
    public static final String AGGREGATIONSINTERVALL_TAG = "asp.aggregationsIntervallTag";
    public static final String AGGREGATIONSINTERVALL_MONAT = "asp.aggregationsIntervallMonat";
    public static final String AGGREGATIONSINTERVALL_JAHR = "asp.aggregationsIntervallJahr";

    public static final String TLS_ANTWORT = "asp.tlsAntwort";
    public static final String TLS_ABRUF = "asp.tlsAbruf";
    public static final String TLS_VORGABE = "asp.tlsVorgabe";

    // .....
  }

  // ========== DEFINITIONEN ==========

  /** Fehlerzustände */
  public abstract static class DEF_FEHLERZUSTAND
  {
    public static final String NICHT_ERMITTELBAR = "nicht ermittelbar";
    public static final String FEHLERHAFT = "fehlerhaft";
    public static final String NICHT_ERMITTELBAR_FEHLERHAFT = "nicht ermittelbar/fehlerhaft";
  }

  /** Attribute gütebehafteter Wert */
  public abstract static class DEF_GUETEBEHAFTET
  {
    public static final String ATT_WERT = "Wert";
    public static final String ATL_STATUS = "Status";
    public static final String ATL_GUETE = "Güte";

    public static ATL_STATUS STATUS;
    public static ATL_GUETE GUETE;
  }

  /** Aspekte für parametrierbare Attributgruppe */
  public abstract static class DEF_ATG_PARAMETRIEREND
  {
    public static final String ASP_PARAMETER_IST = ASP.PARAMETER_IST;
    public static final String ASP_PARAMETER_SOLL = ASP.PARAMETER_SOLL;
    public static final String ASP_PARAMETER_VORGABE = ASP.PARAMETER_VORGABE;
  }

  /** Aspekte für Attributgruppen zur Datenuebernahme */
  public abstract static class DEF_ATG_DUA
  {
    public static final String ASP_EXTERNE_ERFASSUNG = ASP.EXTERNE_ERFASSUNG;
    public static final String ASP_PLPRUEFUNG_FORMAL = ASP.PLPRUEFUNG_FORMAL;
    public static final String ASP_PLPRUEFUNG_LOGISCH = ASP.PLPRUEFUNG_LOGISCH;
    public static final String ASP_MESSWERT_ERSETZUNG = ASP.MESSWERT_ERSETZUNG;
  }

  // Bezeichner für Fahrzeugarten, Pre- und Postfixe zum generischen Zugriff
  public abstract static class DEF_FZART
  {
    public static final String KFZ = "Kfz";
    public static final String PKWAE = "PkwÄ";
    public static final String KFZNK = "KfzNk";
    public static final String PKWG = "PkwG";
    public static final String PKW = "Pkw";
    public static final String KRAD = "Krad";
    public static final String LFW = "Lfw";
    public static final String LKWAE = "LkwÄ";
    public static final String PKWA = "PkwA";
    public static final String LKW = "Lkw";
    public static final String BUS = "Bus";
    public static final String LKWK = "LkwK";
    public static final String LKWA = "LkwA";
    public static final String SKFZ = "SattelKfz";
    public static final String FZARTEN_TLS[] =
      { KFZ, PKWAE, KFZNK, PKWG, PKW, KRAD, LFW, LKWAE, PKWA, LKW, BUS, LKWK, LKWA, SKFZ};
    public static final String PREFIX_Q = "q";
    public static final String PREFIX_VM = "v";
    public static final String PREFIX_STDABW = "s";
    public static final String PREFIX_V85 = "v85";
    public static final String PREFIX_VKLASSE = "v";
    public static final String POSTFIX_VKLASSE = "GeschwKlasse";
  }

  // ========== ATTRIBUTTYPEN ==========

  /** Basisattribut Ja/Nein */
  public static class ATT_JANEIN
  {
    public static final String PID = "att.jaNein";
    public static final String JA = "Ja";
    public static final String NEIN = "Nein";
  }

  /** Güteindex */
  public static class ATT_GUETE_INDEX extends DEF_FEHLERZUSTAND
  {
    public static final String PID = "att.güteIndex";
  }

  /** Güteindex */
  public static class ATT_GUETE_VERFAHREN
  {
    public static final String PID = "att.güteVerfahren";
  }

  /** Zeitdauer in Millisekunden */
  public static class ATT_ZEITDAUER_MS extends DEF_FEHLERZUSTAND
  {
    public static final String PID = "att.zeitDauerMilliSekunden";
  }

  /** Zeitdauer in Millisekunden */
  public static class ATT_ZEITDAUER
  {
    public static final String PID = "att.zeitDauer";
  }

  /** Prozent */
  public static class ATT_PROZENT extends DEF_FEHLERZUSTAND
  {
    public static final String PID = "att.prozent";
  }

  /** Geschwindigkeit */
  public static class ATT_GESCHWINDIGKEIT extends DEF_FEHLERZUSTAND
  {
    public static final String PID = "att.geschwindigkeit";
  }

  /** Verkerhsstärke im Intervall */
  public static class ATT_VERKEHRSSTAERKE_INTERVALL extends DEF_FEHLERZUSTAND
  {
    public static final String PID = "att.verkehrsStärkeIntervall";
  }

  /** Verkerhsstärke im Intervall */
  public static class ATT_VERKEHRSSTAERKE_STUNDE extends DEF_FEHLERZUSTAND
  {
    public static final String PID = "att.verkehrsStärkeStunde";
  }

  /** Langzeitdaten, Fahrzeuganzahl */
  public static class ATT_LANGZEITDATEN_FAHRZEUGANZAHL extends DEF_FEHLERZUSTAND
  {
    public static final String PID = "att.langZeitDatenFahrzeugAnzahl";
  }

  /** Langzeitdaten, Geschwindigkeit */
  public static class ATT_LANGZEITDATEN_GESCHWINDIGKEIT extends DEF_FEHLERZUSTAND
  {
    public static final String PID = "att.langZeitDatenGeschwindigkeit";
  }

  /** Langzeitdaten, DTV */
  public static class ATT_LANGZEITDATEN_DTV extends DEF_FEHLERZUSTAND
  {
    public static final String PID = "att.langZeitDatenDTV";
  }

  /** Langzeitdaten, Spitzenzeit */
  public static class ATT_LANGZEITDATEN_SPITZENZEIT extends DEF_FEHLERZUSTAND
  {
    public static final String PID = "att.langZeitDatenSpitzenZeit";
  }

  /** Optionen PL-Prüfung Formal */
  public static class ATT_OPTIONEN_PLAUSIBILITAETS_PRUEFUNG_FORMAL_GLOBAL
  {
    public static final String PID = "att.optionenPlausibilitätsPrüfungFormalGlobal";
    public static final String KEINE_PRUEFUNG = "Keine Prüfung";
    public static final String NUR_PRUEFUNG = "NurPrüfung";
    public static final String SETZE_MINMAX = "Setze MinMax";
    public static final String SETZE_MIN = "Setze Min";
    public static final String SETZE_MAX = "Setze Max";
  }

  /** Optionen PL-Prüfung Formal */
  public static class ATT_OPTIONEN_PLAUSIBILITAETS_PRUEFUNG_LOGISCH_VERKEHR
  {
    public static final String PID = "att.optionenPlausibilitätsPrüfungLogischVerkehr";
    public static final String KEINE_PRUEFUNG = "Keine Prüfung";
    public static final String NUR_PRUEFUNG = "NurPrüfung";
    public static final String SETZE_MINMAX = "Setze MinMax";
    public static final String SETZE_MIN = "Setze Min";
    public static final String SETZE_MAX = "Setze Max";
  }

  /** Zustände, Art der MittelwertBildung */
  public static class ATT_ART_MITTELWERTBILDUNG
  {
    public static final String PID = "att.artMittelwertbildung";
    public static final String UNBEKANNT = "unbekannt";
    public static final String GLEITEND = "gleitende Mittelwertbildung";
    public static final String ARITHMETISCH = "arithmetische Mittelwertbildung";
  }

  /** Zustände, Stundenintervalle 1..24 */
  public static class ATT_STUNDENINTERVALL_01_BIS_24H
  {
    public static final String PID = "att.stundenIntervall01Bis24h";
    public static final String STUNDEN_1 = "1 Stunde"; // wert="1"
    public static final String STUNDEN_2 = "2 Stunden"; // wert = "2"
    public static final String STUNDEN_3 = "3 Stunden"; // wert = "3"
    public static final String STUNDEN_4 = "4 Stunden"; // wert = "4"
    public static final String STUNDEN_5 = "5 Stunden"; // wert = "5"
    public static final String STUNDEN_6 = "6 Stunden"; // wert = "6"
    public static final String STUNDEN_7 = "7 Stunden"; // wert = "7"
    public static final String STUNDEN_8 = "8 Stunden"; // wert = "8"
    public static final String STUNDEN_9 = "9 Stunden"; // wert = "9"
    public static final String STUNDEN_10 = "10 Stunden"; // wert = "10"
    public static final String STUNDEN_11 = "11 Stunden"; // wert = "11"
    public static final String STUNDEN_12 = "12 Stunden"; // wert = "12"
    public static final String STUNDEN_13 = "13 Stunden"; // wert = "13"
    public static final String STUNDEN_14 = "14 Stunden"; // wert = "14"
    public static final String STUNDEN_15 = "15 Stunden"; // wert = "15"
    public static final String STUNDEN_16 = "16 Stunden"; // wert = "16"
    public static final String STUNDEN_17 = "17 Stunden"; // wert = "17"
    public static final String STUNDEN_18 = "18 Stunden"; // wert = "18"
    public static final String STUNDEN_19 = "19 Stunden"; // wert = "19"
    public static final String STUNDEN_20 = "20 Stunden"; // wert = "20"
    public static final String STUNDEN_21 = "21 Stunden"; // wert = "21"
    public static final String STUNDEN_22 = "22 Stunden"; // wert = "22"
    public static final String STUNDEN_23 = "23 Stunden"; // wert = "23"
    public static final String STUNDEN_24 = "1 Tag"; // wert = "24"
    public static final String TAG_1 = STUNDEN_24;
  }

  // ========== ATTRIBUTTYPEN in der FG3 ==========

  public static class ATT_TYPE_FG3
  {
    public static final String LUFTTEMPERATUR = "att.tlsUfdLufttemperatur";
    public static final String FAHRBAHNOBERFLAECHENTEMPERATUR = "att.tlsUfdFahrbahnoberflächentemperatur";
    public static final String FAHRBAHNOBERFLAECHE = "att.tlsUfdFahrbahnoberfläche";
    public static final String NIEDERSCHLAG = "att.tlsUfdNiederschlag";
    public static final String ZEITRESERVE_REIFGLAETTE= "att.tlsUfdZeitreserveReifGlätte";
    public static final String ZEITRESERVE_EISGLAETTE = "att.tlsUfdZeitreserveEisGlätte";
    public static final String ALARMGLATTEIS = "att.tlsUfdAlarmGlattEis";
    public static final String RESTSALZ = "att.tlsUfdRestsalz";
    public static final String NIEDERSCHLAGSINTENSITAET = "att.tlsUfdNiederschlagsintensität";
    public static final String LUFTDRUCK = "att.tlsUfdLuftdruck";
    public static final String RELATIVE_LUFTFEUCHTE = "att.tlsUfdRelativeLuftfeuchte";
    public static final String WINDRICHTUNG = "att.tlsUfdWindrichtung";
    public static final String WINDGESCHWINDIGKEIT_IM_MITTEL = "att.tlsUfdWindgeschwindigkeitMittel";
    public static final String SCHNEEHOEHE = "att.tlsUfdSchneehöhe";
    public static final String SICHTWEITE = "att.tlsUfdSichtweite";
    public static final String HELLIGKEIT = "att.tlsUfdHelligkeit";
    public static final String WINDGESCHWINDIGKEIT_IN_DER_SPITZE = "att.tlsUfdWindgeschwindigkeitSpitze";
    public static final String GEFRIERTEMPERATUR = "att.tlsUfdGefriertemperatur";
    public static final String TAUPUNKTETEMPERATUR = "att.tlsUfdTaupunkttemperatur";
    public static final String BODENTEMPERATUR = "att.tlsUfdBodentemperatur";
    public static final String ZUSTAND_DER_FAHRBAHNOBERFLAECHE = "att.tlsUfdZustandFahrbahnoberfläche";
    public static final String ZUSTAND_DER_FAHRBAHNOBERFLAECHE_VAISALA = "att.tlsUfdZustandFahrbahnoberflächeVaisala";
    public static final String FAHRBAHNGLAETTE_MICKS = "att.tlsUfdFahrbahnGlätteMicKS";
    public static final String ZEITRESERVE_GLAETTE_MICKS = "att.tlsUfdZeitreserveGlätteMicKS";
    public static final String NIEDERSCHLAGSART = "att.tlsUfdNiederschlagart";
    public static final String WASSERFILMDICKE = "att.tlsUfdWasserfilmdicke";
    // weitere Attributtypen für Vaisala
    public static final String NIEDERSCHLAGSUMME_VAISALA = "att.tlsUfdNiederschlagSummeVaisala";
    public static final String NWSCODE_VAISALA = "att.tlsUfdNWSCodeVaisala";
    public static final String STATUS_SICHTWEITE_VAISALA = "att.tlsUfdStatusSichtweiteVaisala";
    public static final String STATUS_HARDWARE_VAISALA = "att.tlsUfdStatusHardwareVaisala";
    public static final String WMOCODE_VAISALA = "att.tlsUfdWMOCodeVaisala";
    public static final String LIQUIDUS_TEMPERATUR_VAISALA = "att.tlsUfdLiquidusTemperaturVaisala";
    public static final String MENGE_ENTEISUNGSMITTEL_VAISALA = "att.tlsUfdMengeEnteisungsmittelVaisala";
    // innerhalb GMA Umfelddaten
    public static final String KEINE_DATEN = "keine Daten";
    public static final String GMA_UMFELDDATEN_SENSOR_WERT = "att.gmaUmfelddatenSensorWert";
    public static final String GMA_UMFELDDATEN_SENSOR_TYP = "att.gmaUmfelddatenSensorWertTyp";

  }

  // ========== EINZELATTRIBUTE in der FG3 ==========

  public static class ATT_NAME_FG3 {
    public static final String ATT_NWSCodeVaisala = "NWSCodeVaisala";
    public static final String ATT_NiederschlagsArtNS = "Niederschlagart";
    public static final String ATT_Niederschlag = "Niederschlag";
    public static final String ATT_FDSVaisalaStatusSichtweite = "StatusSichtweite";
    public static final String ATT_FDSVaisalaStatusHardware = "StatusHardware";
    public static final String ATT_LuftTemperaturLT = "Lufttemperatur";
    public static final String ATT_RestSalzRS = "Restsalz";
    public static final String ATT_ZeitreserveGlaetteZGReif = "ZeitreserveReifGlätte";
    public static final String ATT_ZeitreserveGlaetteZGEis = "ZeitreserveEisGlätte";
    public static final String ATT_ZeitreserveGlaetteZGGlattEis = "AlarmGlattEis";
    public static final String ATT_FBZVaisala = "ZustandFahrbahnoberflächeVaisala";
    public static final String ATT_FBZ = "Fahrbahnoberfläche";
    public static final String ATT_FBZ70 = "ZustandFahrbahnoberfläche";
    public static final String ATT_RelativeLuftFeuchteRLF = "RelativeLuftfeuchte";
    public static final String ATT_TaupunktTemperaturTPT = "Taupunkttemperatur";
    public static final String ATT_WindgeschwindigkeitWGM = "WindgeschwindigkeitMittel";
    public static final String ATT_WindrichtungWR = "Windrichtung";
    public static final String ATT_NiederschlagSummeVaisala = "NiederschlagSumme";
    public static final String ATT_NiederschlagsIntensitaetNI = "Niederschlagsintensität";
    public static final String ATT_SchneeHoeheSH = "Schneehöhe";
    public static final String ATT_SichtWeiteSW = "Sichtweite";
    public static final String ATT_WindgeschwindigkeitWGS = "WindgeschwindigkeitSpitze";
    public static final String ATT_WMOCodeVaisala = "WMOCodeVaisala";
    public static final String ATT_FahrbahnOberFlaechenTemperaturFBT = "Fahrbahnoberflächentemperatur";
    public static final String ATT_TemperaturInTiefe1TT1 = "BodentemperaturInTiefe1";
    public static final String ATT_GefrierTemperaturGT = "Gefriertemperatur";
    public static final String ATT_TemperaturInTiefe2TT2 = "BodentemperaturInTiefe2";
    public static final String ATT_TemperaturInTiefe3TT3 = "BodentemperaturInTiefe3";
    public static final String ATT_MengeEnteisungsmittelVaisala = "MengeEnteisungsmittel";
    public static final String ATT_LiquidusTemperaturVaisala = "LiquidusTemperatur";
    public static final String ATT_WasserFilmDickeWFD = "Wasserfilmdicke";
  }

  // ========== ATTRIBUTLISTEN ==========

  /** Attributliste Verkehrsstärke im Erfassungsintervall (gütebehaftet) */
  public static class ATL_VERKEHRSSTAERKE_INTERVALL extends DEF_GUETEBEHAFTET
  {
    public static final String PID = "atl.verkehrsStärkeIntervall";
    public static ATT_VERKEHRSSTAERKE_INTERVALL WERT;
  }

  /** Attributliste Geschwindigkeit im Erfassungsintervall (gütebehaftet) */
  public static class ATL_GESCHWINDIGKEIT extends DEF_GUETEBEHAFTET
  {
    public static final String PID = "atl.geschwindigkeit";
    public static ATT_GESCHWINDIGKEIT WERT;
  }

  /** Attributliste Prozent im Erfassungsintervall (gütebehaftet) */
  public static class ATL_PROZENT extends DEF_GUETEBEHAFTET
  {
    public static final String PID = "atl.prozent";
    public static ATT_PROZENT WERT;
  }

  /** Attributliste Zeit in Millisekungen im Erfassungsintervall (gütebehaftet) */
  public static class ATL_ZEITDAUER_MS extends DEF_GUETEBEHAFTET
  {
    public static final String PID = "atl.zeitDauerMilliSekunden";
    public static ATT_ZEITDAUER_MS WERT;
  }

  /** Güte (Index + Verfahren) */
  public static class ATL_GUETE
  {
    public static final String PID = "atl.güte";
    public static final String ATT_INDEX = "Index";
    public static final String ATT_VERFAHREN = "Verfahren";
    public static ATT_GUETE_INDEX INDEX;
  }

  /** Status Externe Erfassung */
  public static class ATL_STATUS_EXTERNE_ERFASSUNG
  {
    public static final String PID = "atl.statusExterneErfassung";
    public static final String ATT_NICHT_ERFASST = "NichtErfasst";

    public static ATT_JANEIN NICHT_ERFASST;
  }

  /** Status PL-Formal */
  public static class ATL_STATUS_PLFORMAL
  {
    public static final String PID = "atl.statusPlausibilitätsPrüfungFormal";
    public static final String ATT_WERT_MAX = "WertMax";
    public static final String ATT_WERT_MIN = "WertMin";

    public static ATT_JANEIN WERT_MAX;
    public static ATT_JANEIN WERT_MIN;
  }

  /** Status PL-Logisch */
  public static class ATL_STATUS_PLLOGISCH
  {
    public static final String PID = "atl.statusPlausibilitätsPrüfungLogisch";
    public static final String ATT_WERT_MAX_LOGISCH = "WertMaxLogisch";
    public static final String ATT_WERT_MIN_LOGISCH = "WertMinLogisch";

    public static ATT_JANEIN WERT_MAX_LOGISCH;
    public static ATT_JANEIN WERT_MIN_LOGISCH;
  }

  /** Status Messwertersetzung */
  public static class ATL_STATUS_MESSWERT_ERSETZUNG
  {
    public static final String PID = "atl.statusMessWertErsetzung";
    public static final String ATT_IMPLAUSIBEL = "Implausibel";
    public static final String ATT_INTERPOLIERT = "Interpoliert";

    public static ATT_JANEIN IMPLAUSIBEL;
    public static ATT_JANEIN INTERPOLIERT;
  }

  /** Status für Datenübernahme */
  public static class ATL_STATUS
  {
    public static final String PID = "atl.status";
    public static final String ATL_STATUS_EXTERNE_ERFASSUNG = "Erfassung";
    public static final String ATL_STATUS_PLFORMAL = "PlFormal";
    public static final String ATL_STATUS_PLLOGISCH = "PlLogisch";
    public static final String ATL_STATUS_MESSWERT_ERSETZUNG = "MessWertErsetzung";

    public static ATL_STATUS_EXTERNE_ERFASSUNG STATUS_EXTERNE_ERFASSUNG;
    public static ATL_STATUS_PLFORMAL STATUS_PLFORMAL;
    public static ATL_STATUS_PLLOGISCH STATUS_PLLOGISCH;
    public static ATL_STATUS_MESSWERT_ERSETZUNG STATUS_MESSWERT_ERSETZUNG;
  }

  /** Attributspezifikation für PL-Formal */
  public static class ATL_ATTRIBUT_SPEZIFIKATION_PLAUSIBILITAETS_PRUEFUNG_FORMAL
  {
    public static final String PID = "atl.attributSpezifikationPlausibilitätsPrüfungFormal";
    public static final String ATT_ATTRIBUT_PFAD = "AttributPfad";
    public static final String ATT_MIN = "Min";
    public static final String ATT_MAX = "Max";
    public static final String ATT_OPTIONEN = "Optionen";
    public static ATT_OPTIONEN_PLAUSIBILITAETS_PRUEFUNG_FORMAL_GLOBAL OPTIONEN;
  }

  /** Parametersatz für PL-Formal */
  public static class ATL_PARAMETER_SATZ_PALUSIBILITAETS_PRUEFUNG_FORMAL {
    public static final String PID = "atl.parameterSatzPlausibilitätsPrüfungFormal";
    public static final String ATT_ATG = "Attributgruppe";
    public static final String ATT_ASP = "Aspekt";
    public static final String ATT_OBJ = "Objekt";
    public static final String ATL_ATTRIBUT_SPEZIFIKATION = "AttributSpezifikation";
    public static ATL_ATTRIBUT_SPEZIFIKATION_PLAUSIBILITAETS_PRUEFUNG_FORMAL ATTRIBUT_SPEZIFIKATION;
  }

  /** Einstellung Min/Max Verkehrsstärke Stunde (z.B. für PL-Logisch) */
  public static class ATL_MINMAX_VERKEHRSSTAERKE_STUNDE
  {
    public static final String PID = "atl.minMaxVerkehrsStärkeStunde";
    public static final String ATT_MIN = "Min"; // att.verkehrsStärkeStunde
    public static final String ATT_MAX = "Max"; // att.verkehrsStärkeStunde
  }

  /** Einstellung Min/Max Geschwindigkeit (z.B. für PL-Logisch) */
  public static class ATL_MINMAX_GESCHWINDIGKEIT
  {
    public static final String PID = "atl.minMaxGeschwindigkeit";
    public static final String ATT_MIN = "Min"; // att.geschwindigkeit
    public static final String ATT_MAX = "Max"; // att.geschwindigkeit
  }

  /** Einstellung Min/Max Prozent (z.B. für PL-Logisch) */
  public static class ATL_MINMAX_PROZENT
  {
    public static final String PID = "atl.minMaxProzent";
    public static final String ATT_MIN = "Min"; // att.prozent
    public static final String ATT_MAX = "Max"; // att.prozent
  }

  /** Richtungsquerschnitt an Langzeitzählstellen */
  public static class ATL_RICHTUNGSQUERSCHNITT
  {
    public static final String PID = "atl.langZeitDatenRichtungsQuerschnitt";
    public static final String ATT_NETZKNOTEN = "NK";
    public static final String ATT_NAHZIEL = "Nahziel";
    public static final String ATT_FERNZIEL = "Fernziel";
    public static final String ATT_BEZEICHNUNG = "Bezeichnung";
    public static final String ATT_AUSWERTEQUERSCHNITT = "Auswertequerschnitt";
  }

  /**
   * Konstanten für "atl.gmaUmfelddatenSensorWert"
   */
  public static class ATL_GMA_UMFELDDATEN_SENSOR_WERT
  {
    public static final String PID = "atl.gmaUmfelddatenSensorWert";

    public static final String ATT_SENSOR_WERT = "Wert";
    public static final String ATT_SENSOR_TYP = "Typ";
  };

  /**
   * Konstanten für "atl.gmaUmfelddatenFuerFahrstreifen"
   */
  public static class ATL_GMA_UMFELDDATEN_FUER_FAHRSTREIFEN
  {
    public static final String PID = "atl.gmaUmfelddatenFuerFahrstreifen";

    public static final String ATT_FAHRBAHNTEMPERATUR = "Fahrbahntemperatur";
    public static final String ATT_RESTSALZ = "Restsalz";
    public static final String ATT_BODENTEMPERATUR_TIEFE1 = "BodentemperaturTiefe1";
    public static final String ATT_BODENTEMPERATUR_TIEFE2 = "BodentemperaturTiefe2";
    public static final String ATT_BODENTEMPERATUR_TIEFE3 = "BodentemperaturTiefe3";
    public static final String ATT_WASSERFILMDICKE = "Wasserfilmdicke";
    public static final String ATT_FAHRBAHNZUSTAND = "Fahrbahnzustand";
    public static final String ATT_GEFRIERTEMPERATUR = "Gefriertemperatur";
    public static final String ATT_ZEITRESERVE_REIFGLAETTE = "ZeitreserveReifGlätte";
    public static final String ATT_ZEITRESERVE_EISGLAETTE = "ZeitreserveEisGlätte";
    //  noch NICHT in der atg.gmaUmfelddaten enthalten
//  public static final String ATT_LIQUIDUS_TEMPERATUR_VAISALA = "LiquidusTemperatur";
//  public static final String ATT_MENGE_ENTEISUNGSMITTEL_VAISALA = "MengeEnteisungsmittel";

    public static ATL_GMA_UMFELDDATEN_SENSOR_WERT FAHRBAHNTEMPERATUR;
    public static ATL_GMA_UMFELDDATEN_SENSOR_WERT RESTSALZ;
    public static ATL_GMA_UMFELDDATEN_SENSOR_WERT BODENTEMPERATUR_TIEFE1;
    public static ATL_GMA_UMFELDDATEN_SENSOR_WERT BODENTEMPERATUR_TIEFE2;
    public static ATL_GMA_UMFELDDATEN_SENSOR_WERT BODENTEMPERATUR_TIEFE3;
    public static ATL_GMA_UMFELDDATEN_SENSOR_WERT WASSERFILMDICKE;
    public static ATL_GMA_UMFELDDATEN_SENSOR_WERT FAHRBAHNZUSTAND;
    public static ATL_GMA_UMFELDDATEN_SENSOR_WERT GEFRIERTEMPERATUR;
    public static ATL_GMA_UMFELDDATEN_SENSOR_WERT ZEITRESERVE_REIFGLAETTE;
    public static ATL_GMA_UMFELDDATEN_SENSOR_WERT ZEITRESERVE_EISGLAETTE;
    //  noch NICHT in der atg.gmaUmfelddaten enthalten
//  public static ATL_GMA_UMFELDDATEN_SENSOR_WERT LIQUIDUS_TEMPERATUR_VAISALA;
//  public static ATL_GMA_UMFELDDATEN_SENSOR_WERT MENGE_ENTEISUNGSMITTEL_VAISALA;
  }

  ////////////////////////////////////////////////////////////////////////////
  //
  //          ATTRIBUTGRUPPEN
  //
  ////////////////////////////////////////////////////////////////////////////

  /** Parameter für PL-Formal */
  public static class ATG_PLFORMAL extends DEF_ATG_PARAMETRIEREND {
    public static final String PID = ATG.PLFORMAL;
    public static final String ATL_PARAMETERSATZ_PLFORMAL = "ParameterSatzPlausibilitätsPrüfungFormal";
    public static ATL_PARAMETER_SATZ_PALUSIBILITAETS_PRUEFUNG_FORMAL PARAMETERSATZ_PLFORMAL;
  }

  /** Parameter für PL-Logisch Kurzzeitdaten - Kontrolle Wertebereich */
  public static class ATG_VERKEHRSDATEN_KURZZEIT_INTERVALL_PLLOGISCH
      extends DEF_ATG_PARAMETRIEREND
  {
    public static final String PID = ATG.VERKEHRSDATEN_KURZZEIT_INTERVALL_PLLOGISCH;
    public static final String ATT_V_KFZ_GRENZ = "vKfzGrenz"; // att.geschwindigkeit
    public static final String ATT_B_GRENZ = "bGrenz"; // att.prozent
    public static final String ATT_OPTIONEN = "Optionen"; // att.optionenPlausibilitätsPrüfungLogischVerkehr

    public static final String ATL_Q_KFZ_BEREICH = "qKfzBereich";
    public static final String ATL_Q_LKW_BEREICH = "qLkwBereich";
    public static final String ATL_Q_PKW_BEREICH = "qPkwBereich";
    public static final String ATL_V_KFZ_BEREICH = "vKfzBereich";
    public static final String ATL_V_LKW_BEREICH = "vLkwBereich";
    public static final String ATL_V_PKW_BEREICH = "vPkwBereich";
    public static final String ATL_VG_KFZ_BEREICH = "vgKfzBereich";
    public static final String ATL_BELEGUNG_BEREICH = "BelegungBereich";

    ATL_MINMAX_VERKEHRSSTAERKE_STUNDE Q_KFZ_BEREICH;
    ATL_MINMAX_VERKEHRSSTAERKE_STUNDE Q_LKW_BEREICH;
    ATL_MINMAX_VERKEHRSSTAERKE_STUNDE Q_PKW_BEREICH;
    ATL_MINMAX_GESCHWINDIGKEIT V_KFZ_BEREICH;
    ATL_MINMAX_GESCHWINDIGKEIT V_LKW_BEREICH;
    ATL_MINMAX_GESCHWINDIGKEIT V_PKW_BEREICH;
    ATL_MINMAX_GESCHWINDIGKEIT VG_KFZ_BEREICH;
    ATL_MINMAX_PROZENT BELEGUNG_BEREICH;
  }

  /** Parameter für PL-Logisch Kurzzeitdaten - Kontrolle Vertrauensbereich */
  public static class ATG_VERKEHRSDATEN_VERTRAUENSBEREICH_FS
      extends DEF_ATG_PARAMETRIEREND
  {
    public static final String PID = ATG.VERKEHRSDATEN_VERTRAUENSBEREICH_FS;
    public static final String ATT_BEZUGSZEITRAUM = "BezugsZeitraum"; // att.stundenIntervall01Bis24h
    public static final String ATT_MAX_AUSFALL_PRO_BEZUGSZEITRAUM_EIN = "maxAusfallProBezugsZeitraumEin"; // att.prozent
    public static final String ATT_MAX_AUSFALL_PRO_BEZUGSZEITRAUM_AUS = "maxAusfallProBezugsZeitraumAus"; // att.prozent
  }

  /** Parameter für PL-Logisch Kurzzeitdaten - Kontrolle Vertrauensbereich */
  public static class ATG_VERKEHRSDATEN_AUSFALLHAEUFIGKEIT_FS
      extends DEF_ATG_PARAMETRIEREND
  {
    public static final String PID = ATG.VERKEHRSDATEN_AUSFALLHAEUFIGKEIT_FS;
    public static final String ATT_MAX_AUSFALL_PRO_TAG = "maxAusfallProTag"; // att.prozent
  }

  /** Parameter für PL-Logisch Kurzzeitdaten - Kontrolle Vertrauensbereich */
  public static class ATG_VERKEHRSDATEN_DIFFERENTIALKONTROLLE_FS
      extends DEF_ATG_PARAMETRIEREND
  {
    public static final String PID = ATG.VERKEHRSDATEN_DIFFERENTIALKONTROLLE_FS;
    public static final String ATT_MAX_ANZ_KONSTANZ_Q_KFZ = "maxAnzKonstanzqKfz"; // att.zahl
    public static final String ATT_MAX_ANZ_KONSTANZ_Q_LKW = "maxAnzKonstanzqLkw"; // att.zahl
    public static final String ATT_MAX_ANZ_KONSTANZ_Q_PKW = "maxAnzKonstanzqPkw"; // att.zahl
    public static final String ATT_MAX_ANZ_KONSTANZ_V_KFZ = "maxAnzKonstanzvKfz"; // att.zahl
    public static final String ATT_MAX_ANZ_KONSTANZ_V_LKW = "maxAnzKonstanzvLkw"; // att.zahl
    public static final String ATT_MAX_ANZ_KONSTANZ_V_PKW = "maxAnzKonstanzvPkw"; // att.zahl
    public static final String ATT_MAX_ANZ_KONSTANZ_STREUUNG = "maxAnzKonstanzStreung"; // att.zahl
    public static final String ATT_MAX_ANZ_KONSTANZ_BELEGUNG = "maxAnzKonstanzBelegung"; // att.zahl
  }

  /** Verkehrsdaten Kurzzeit */
  public static class ATG_VERKEHRSDATEN_KURZZEIT_INTERVALL extends DEF_ATG_DUA
  {
    public static final String PID = ATG.VERKEHRSDATEN_KURZZEIT_INTERVALL;
    public static final String ATT_T = "T";
    public static final String ATT_ART_MITTELWERTBILDUNG = "ArtMittelwertbildung";

    public static final String ATL_Q_KFZ = "qKfz";
    public static final String ATL_V_KFZ = "vKfz";
    public static final String ATL_Q_LKW = "qLkw";
    public static final String ATL_V_LKW = "vLkw";
    public static final String ATL_Q_PKW = "qPkw";
    public static final String ATL_V_PKW = "vPkw";
    public static final String ATL_B = "b";
    public static final String ATL_T_NETTO = "tNetto";
    public static final String ATL_S_KFZ = "sKfz";
    public static final String ATL_VG_KFZ = "vgKfz";

    public static ATL_VERKEHRSSTAERKE_INTERVALL Q_KFZ;
    public static ATL_GESCHWINDIGKEIT V_KFZ;
    public static ATL_VERKEHRSSTAERKE_INTERVALL Q_LKW;
    public static ATL_GESCHWINDIGKEIT V_LKW;
    public static ATL_VERKEHRSSTAERKE_INTERVALL Q_PKW;
    public static ATL_GESCHWINDIGKEIT V_PKW;
    public static ATL_PROZENT B;
    public static ATL_ZEITDAUER_MS T_NETTO;
    public static ATL_GESCHWINDIGKEIT S_KFZ;
    public static ATL_GESCHWINDIGKEIT VG_KFZ;
  }

  /** Verkehrsdaten Langzeit */
  public static class ATG_VERKEHRSDATEN_LANGZEIT_INTERVALL extends DEF_ATG_DUA
  {
    public static final String PID = ATG.VERKEHRSDATEN_LANGZEIT_INTERVALL;
    public static final String ATT_T = "T";

    public static final String ATL_Q_KFZ = "qKfz";
    public static final String ATL_Q_PKWAE = "qPkwÄ";
    public static final String ATL_Q_KFZNK = "qKfzNk";
    public static final String ATL_Q_PKWG = "qPkwG";
    public static final String ATL_Q_PKW = "qPkw";
    public static final String ATL_Q_KRAD = "qKrad";
    public static final String ATL_Q_LFW = "qLfw";
    public static final String ATL_Q_LKWAE = "qLkwÄ";
    public static final String ATL_Q_PKWA = "qPkwA";
    public static final String ATL_Q_LKW = "qLkw";
    public static final String ATL_Q_BUS = "qBus";
    public static final String ATL_Q_LKWK = "qLkwK";
    public static final String ATL_Q_LKWA = "qLkwA";
    public static final String ATL_Q_SATTELKFZ = "qSattelKfz";
    public static final String ATL_V_KFZ = "vKfz";
    public static final String ATL_V_PKWAE = "vPkwÄ";
    public static final String ATL_V_KFZNK = "vKfzNk";
    public static final String ATL_V_PKWG = "vPkwG";
    public static final String ATL_V_PKW = "vPkw";
    public static final String ATL_V_KRAD = "vKrad";
    public static final String ATL_V_LFW = "vLfw";
    public static final String ATL_V_LKWAE = "vLkwÄ";
    public static final String ATL_V_PKWA = "vPkwA";
    public static final String ATL_V_LKW = "vLkw";
    public static final String ATL_V_BUS = "vBus";
    public static final String ATL_V_LKWK = "vLkwK";
    public static final String ATL_V_LKWA = "vLkwA";
    public static final String ATL_V_SATTELKFZ = "vSattelKfz";
    public static final String ATL_S_KFZ = "sKfz";
    public static final String ATL_S_PKWAE = "sPkwÄ";
    public static final String ATL_S_KFZNK = "sKfzNk";
    public static final String ATL_S_PKWG = "sPkwG";
    public static final String ATL_S_PKW = "sPkw";
    public static final String ATL_S_KRAD = "sKrad";
    public static final String ATL_S_LFW = "sLfw";
    public static final String ATL_S_LKWAE = "sLkwÄ";
    public static final String ATL_S_PKWA = "sPkwA";
    public static final String ATL_S_LKW = "sLkw";
    public static final String ATL_S_BUS = "sBus";
    public static final String ATL_S_LKWK = "sLkwK";
    public static final String ATL_S_LKWA = "sLkwA";
    public static final String ATL_S_SATTELKFZ = "sSattelKfz";
    public static final String ATL_V85_KFZ = "v85Kfz";
    public static final String ATL_V85_PKWAE = "v85PkwÄ";
    public static final String ATL_V85_KFZNK = "v85KfzNk";
    public static final String ATL_V85_PKWG = "v85PkwG";
    public static final String ATL_V85_PKW = "v85Pkw";
    public static final String ATL_V85_KRAD = "v85Krad";
    public static final String ATL_V85_LFW = "v85Lfw";
    public static final String ATL_V85_LKWAE = "v85LkwÄ";
    public static final String ATL_V85_PKWA = "v85PkwA";
    public static final String ATL_V85_LKW = "v85Lkw";
    public static final String ATL_V85_BUS = "v85Bus";
    public static final String ATL_V85_LKWK = "v85LkwK";
    public static final String ATL_V85_LKWA = "v85LkwA";
    public static final String ATL_V85_SATTELKFZ = "v85SattelKfz";
    public static final String ATL_Q_KFZ_GESCHWKLASSE = "qKfzGeschwKlasse";
    public static final String ATL_Q_PKWAE_GESCHWKLASSE = "qPkwÄGeschwKlasse";
    public static final String ATL_Q_KFZNK_GESCHWKLASSE = "qKfzNkGeschwKlasse";
    public static final String ATL_Q_PKWG_GESCHWKLASSE = "qPkwGGeschwKlasse";
    public static final String ATL_Q_PKW_GESCHWKLASSE = "qPkwGeschwKlasse";
    public static final String ATL_Q_KRAD_GESCHWKLASSE = "qKradGeschwKlasse";
    public static final String ATL_Q_LFW_GESCHWKLASSE = "qLfwGeschwKlasse";
    public static final String ATL_Q_LKWAE_GESCHWKLASSE = "qLkwÄGeschwKlasse";
    public static final String ATL_Q_PKWA_GESCHWKLASSE = "qPkwAGeschwKlasse";
    public static final String ATL_Q_LKW_GESCHWKLASSE = "qLkwGeschwKlasse";
    public static final String ATL_Q_BUS_GESCHWKLASSE = "qBusGeschwKlasse";
    public static final String ATL_Q_LKWK_GESCHWKLASSE = "qLkwKGeschwKlasse";
    public static final String ATL_Q_LKWA_GESCHWKLASSE = "qLkwAGeschwKlasse";
    public static final String ATL_Q_SATTELKFZ_GESCHWKLASSE = "qSattelKfzGeschwKlasse";

  }

  /** Konfigurierende Attributgruppe Langzeitzählstelle */
  public static class ATG_LANGZEITZAEHLSTELLE {
    public static final String PID = ATG.LANGZEITZAEHLSTELLE;

    public static final String ATT_NAME = "ZählstellenName";
    public static final String ATT_NUMMER = "ZählstellenNummer";
    public static final String ATT_LANDESNUMMER = "LandesNummer";
    public static final String ATT_STRASSENKLASSE = "StraßenKlasse";
    public static final String ATT_ART = "ZählstellenArt";
    public static final String ATT_STRASSE = "Straße";
    public static final String ATT_VON_NK = "vonNK";
    public static final String ATT_NACH_NK = "nachNK";
    public static final String ATT_STATION = "Station";
    public static final String ATT_BEGINN = "Beginn";
    public static final String ATT_ENDE = "Ende";
    public static final String ATT_KLASSIFIZIERUNGSGRUPPE_BAST = "KlassifizierungsgruppeBAST";
    public static final String ATT_TELEFONNUMMER = "TelefonNummer";
    public static final String ATL_IN_RICHTUNG = "InRichtung";
    public static final String ATL_GEGEN_RICHTUNG = "GegenRichtung";
  }

  /** Konfigurierende Attributgruppe Auswertequerschnitt */
  public static class ATG_AUSWERTEQUERSCHNITT {
    public static final String PID = ATG.AUSWERTEQUERSCHNITT;

    public static final String ATT_MESSQUERSCHNITT = "Messquerschnitt";
    public static final String ATT_HIMMELSRICHTUNG = "Himmelsrichtung";
    public static final String ATT_BEZEICHNUNG = "Bezeichnung";
  }

  /** Konfigurierende Attributgruppe Auswertequerschnitt */
  public static class ATG_FAHRSTREIFEN {
    public static final String PID = ATG.FAHRSTREIFEN;

    public static final String ATT_FAHRSTREIFEN_TYP="Typ";
    public static final String ATT_FAHRSTREIFEN_LAGE="Lage";
    public static final String ATT_FAHRSTREIFEN_QUELLE="FahrStreifenQuelle";
    public static final String ATT_ERSATZ_FAHRSTREIFEN="ErsatzFahrStreifen";
  }

  /** Verkehrsdaten Fahrzeuganzahl Langzeit, */
  public static class ATG_LANGZEITDATEN
  {
    public static final String ASP_AGGREGATIONSINTERVALL_15MINUTEN = ASP.AGGREGATIONSINTERVALL_15MINUTEN;
    public static final String ASP_AGGREGATIONSINTERVALL_STUNDE = ASP.AGGREGATIONSINTERVALL_STUNDE;
    public static final String ASP_AGGREGATIONSINTERVALL_TAG = ASP.AGGREGATIONSINTERVALL_TAG;
    public static final String ASP_AGGREGATIONSINTERVALL_MONAT = ASP.AGGREGATIONSINTERVALL_MONAT;
    public static final String ASP_AGGREGATIONSINTERVALL_JAHR = ASP.AGGREGATIONSINTERVALL_JAHR;

    public static final String ATL_KFZ = "Kfz";
    public static final String ATL_PKWAE = "PkwÄ";
    public static final String ATL_KFZNK = "KfzNk";
    public static final String ATL_PKWG = "PkwG";
    public static final String ATL_PKW = "Pkw";
    public static final String ATL_KRAD = "Krad";
    public static final String ATL_LFW = "Lfw";
    public static final String ATL_LKWAE = "LkwÄ";
    public static final String ATL_PKWA = "PkwA";
    public static final String ATL_LKW = "Lkw";
    public static final String ATL_BUS = "Bus";
    public static final String ATL_LKWK = "LkwK";
    public static final String ATL_LKWA = "LkwA";
    public static final String ATL_SATTELKFZ = "SattelKfz";
  }

  /** Verkehrsdaten Fahrzeuganzahl Langzeit, */
  public static class ATG_LANGZEITDATEN_FAHRZEUGANZAHL extends ATG_LANGZEITDATEN {
    public static final String PID = ATG.LANGZEITDATEN_FAHRZEUGANZAHL;
  }

  public static class ATG_LANGZEITDATEN_GESCHWINDIGKEIT extends ATG_LANGZEITDATEN {
    public static final String PID = ATG.LANGZEITDATEN_GESCHWINDIGKEIT;
  }

  public static class ATG_LANGZEITDATEN_DTV extends ATG_LANGZEITDATEN {
    public static final String PID = ATG.LANGZEITDATEN_DTV;
  }

  public static class ATG_LANGZEITDATEN_V85 extends ATG_LANGZEITDATEN {
    public static final String PID = ATG.LANGZEITDATEN_V85;
  }

  public static class ATG_LANGZEITDATEN_V50 extends ATG_LANGZEITDATEN {
    public static final String PID = ATG.LANGZEITDATEN_V50;
  }

  public static class ATG_LANGZEITDATEN_V15 extends ATG_LANGZEITDATEN {
    public static final String PID = ATG.LANGZEITDATEN_V15;
  }

  public static class ATG_LANGZEITDATEN_SPITZENSTUNDE extends ATG_LANGZEITDATEN {
    public static final String PID = ATG.LANGZEITDATEN_SPITZENSTUNDE;
  }

  public static class ATG_LANGZEITDATEN_SPITZENTAG extends ATG_LANGZEITDATEN {
    public static final String PID = ATG.LANGZEITDATEN_SPITZENTAG;
  }

  public static class ATG_LANGZEITDATEN_VK130 extends ATG_LANGZEITDATEN {
    public static final String PID = ATG.LANGZEITDATEN_VK130;
  }

  public static class ATG_LANGZEITDATEN_VK160 extends ATG_LANGZEITDATEN {
    public static final String PID = ATG.LANGZEITDATEN_VK160;
  }

  // ==========================================================================
  //     FG3 - GMA UMFELDDATEN
  // ==========================================================================

  /**
   * Konstanten für "atg.gmaUmfelddaten"
   */
  public static class ATG_GMA_UMFELDDATEN
  {
    public static final String PID = ATG.GMA_UMFELDDATEN;

    public static final String ATT_LUFTTEMPERATUR = "Lufttemperatur";
    public static final String ATT_TAUPUNKTTEMPERATUR = "Taupunkt";
    public static final String ATT_RELATIVE_LUFTFEUCHTE = "RelativeLuftfeuchte";
    public static final String ATT_WINDRICHTUNG_MITTEL = "WindrichtungMittel";
    public static final String ATT_WINDGESCHWINDIGKEIT_MITTEL = "WindgeschwindigkeitMittel";
    public static final String ATT_WINDRICHTUNG_SPITZE = "WindrichtungSpitze";
    public static final String ATT_WINDGESCHWINDIGKEIT_SPITZE = "WindgeschwindigkeitSpitze";
    public static final String ATT_NIEDERSCHLAGSART = "Niederschlagsart";
    public static final String ATT_NIEDERSCHLAGSINTENSITAET = "Niederschlagsintensität";
    public static final String ATT_SICHTWEITE = "Sichtweite";
    public static final String ATT_HELLIGKEIT = "Helligkeit";
    //  noch NICHT in der atg.gmaUmfelddaten enthalten
//    public static final String ATT_NIEDERSCHLAGSUMME_VAISALA = "NiederschlagSumme";
//    public static final String ATT_NWSCODE_VAISALA = "NWSCodeVaisala";
//    public static final String ATT_STATUS_SICHTWEITE_VAISALA = "StatusSichtweite";
//    public static final String ATT_STATUS_HARDWARE_VAISALA = "StatusHardware";
//    public static final String ATT_WMOCODE_VAISALA = "WMOCodeVaisala";
    public static final String ATT_UMFELDDATEN_FUER_FAHRSTREIFEN = "UmfelddatenFuerFahrstreifen";

    public static ATL_GMA_UMFELDDATEN_SENSOR_WERT LUFTTEMPERATUR;
    public static ATL_GMA_UMFELDDATEN_SENSOR_WERT TAUPUNKTTEMPERATUR;
    public static ATL_GMA_UMFELDDATEN_SENSOR_WERT RELATIVE_LUFTFEUCHTE;
    public static ATL_GMA_UMFELDDATEN_SENSOR_WERT WINDRICHTUNG_MITTEL;
    public static ATL_GMA_UMFELDDATEN_SENSOR_WERT WINDGESCHWINDIGKEIT_MITTEL;
    public static ATL_GMA_UMFELDDATEN_SENSOR_WERT WINDRICHTUNG_SPITZE;
    public static ATL_GMA_UMFELDDATEN_SENSOR_WERT WINDGESCHWINDIGKEIT_SPITZE;
    public static ATL_GMA_UMFELDDATEN_SENSOR_WERT NIEDERSCHLAGSART;
    public static ATL_GMA_UMFELDDATEN_SENSOR_WERT NIEDERSCHLAGSINTENSITAET;
    public static ATL_GMA_UMFELDDATEN_SENSOR_WERT SICHTWEITE;
    public static ATL_GMA_UMFELDDATEN_SENSOR_WERT HELLIGKEIT;
    //  noch NICHT in der atg.gmaUmfelddaten enthalten
//  public static ATL_GMA_UMFELDDATEN_SENSOR_WERT NIEDERSCHLAGSUMME_VAISALA;
//  public static ATL_GMA_UMFELDDATEN_SENSOR_WERT NWSCODE_VAISALA;
//  public static ATL_GMA_UMFELDDATEN_SENSOR_WERT STATUS_SICHTWEITE_VAISALA;
//  public static ATL_GMA_UMFELDDATEN_SENSOR_WERT STATUS_HARDWARE_VAISALA;
//  public static ATL_GMA_UMFELDDATEN_SENSOR_WERT WMOCODE_VAISALA;

    public static ATL_GMA_UMFELDDATEN_FUER_FAHRSTREIFEN UMFELDDATEN_FAHRSTREIFEN;
  }

}
