/**
 * Copyright (c) 2004 Logos GmbH Rostock (www.logos-ib.de).
 * All rights reserved.
 *
 * THIS SOFTWARE IS  PROVIDED  "AS IS"  AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF  MERCHANTABILITY  AND  FITNESS  FOR  A PARTICULAR  PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL  LOGOS GMBH  OR ITS CONTRIBUTORS BE
 * LIABLE FOR ANY  DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY,
 * OR CONSEQUENTIAL DAMAGES  (INCL., BUT NOT LIMITED TO, PROCUREMENT
 * OF SUBSTITUTE GOODS OR SERVICES;  LOSS OF USE, DATA, OR  PROFITS;
 * OR BUSINESS INTERRUPTION)  HOWEVER  CAUSED  AND  ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,  OR TORT (INCL.
 * NEGLIGENCE OR OTHERWISE)  ARISING  IN  ANY  WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package de.inovat.kex.bast.common.datawrapper;


import de.bsvrz.dav.daf.main.Data;


/*
 * Revision 1.1  2007/07/04 11:43:19  Trier
 * Neuordnung
 */

/**
 * kapselt die AttributListe atl.statusPlausibilitaetsPruefungLogisch.
 * 
 * @author LOGOS GmbH Rostock (www.logos-ib.de)
 * @author J. Schawaller
 * @version $Id: AtlStatusPlausibilitaetsPruefungLogisch.java 442 2008-11-10 06:59:32Z Schawaller $
 */
public class AtlStatusPlausibilitaetsPruefungLogisch {

  private Data _Data;

  public static final String ATTR_NAME_WERTMAXLOGISCH = "WertMaxLogisch";
  public static final String ATTR_NAME_WERTMINLOGISCH = "WertMinLogisch";


  public AtlStatusPlausibilitaetsPruefungLogisch(Data data) {
    _Data = data;
  }

  public boolean getWertMaxLogisch() {
    int iJaNein = _Data.getUnscaledValue("WertMaxLogisch").intValue();
    if (iJaNein == 1) {
      return true;
    }
    else {
      return false;
    }
  }

  public void setWertMaxLogisch(boolean jaNein) {
    if (jaNein) {
      _Data.getUnscaledValue("WertMaxLogisch").set(1);
    }
    else {
      _Data.getUnscaledValue("WertMaxLogisch").set(0);
    }
  }

  public boolean getWertMinLogisch() {
    int iJaNein = _Data.getUnscaledValue("WertMinLogisch").intValue();
    if (iJaNein == 1) {
      return true;
    }
    else {
      return false;
    }
  }

  public void setWertMinLogisch(boolean jaNein) {
    if (jaNein) {
      _Data.getUnscaledValue("WertMinLogisch").set(1);
    }
    else {
      _Data.getUnscaledValue("WertMinLogisch").set(0);
    }
  }

}

