/**
 * Copyright (c) 2004 Logos GmbH Rostock (www.logos-ib.de).
 * All rights reserved.
 *
 * THIS SOFTWARE IS  PROVIDED  "AS IS"  AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF  MERCHANTABILITY  AND  FITNESS  FOR  A PARTICULAR  PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL  LOGOS GMBH  OR ITS CONTRIBUTORS BE
 * LIABLE FOR ANY  DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY,
 * OR CONSEQUENTIAL DAMAGES  (INCL., BUT NOT LIMITED TO, PROCUREMENT
 * OF SUBSTITUTE GOODS OR SERVICES;  LOSS OF USE, DATA, OR  PROFITS;
 * OR BUSINESS INTERRUPTION)  HOWEVER  CAUSED  AND  ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,  OR TORT (INCL.
 * NEGLIGENCE OR OTHERWISE)  ARISING  IN  ANY  WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package de.inovat.kex.bast.common.objectwrapper;

/*
 * Revision 1.1  2007/07/04 11:44:16  Trier
 * Neuordnung
 */

import java.util.HashMap;
/**
 * Repr&auml;sentieren die Strassenklassen Bundesautobahn, Bundesstrasse, Landesstraße usw.
 * 
 * @author LOGOS GmbH Rostock (www.logos-ib.de)
 * @author Ralf Trier
 * @version $Id: StrassenKlasse.java 442 2008-11-10 06:59:32Z Schawaller $
 */
public class StrassenKlasse {


  private String _Name;
  private char _Abbreviation;

  private static HashMap<String,StrassenKlasse> __HashMapNameAsKey;

  public static StrassenKlasse BUNDESAUTOBAHN = new StrassenKlasse("Autobahn", 'A');
  public static StrassenKlasse BUNDESSTRASSE = new StrassenKlasse("Bundesstraße", 'B');
  public static StrassenKlasse LANDESSTRASSE = new StrassenKlasse("Landesstraße", 'L');
  public static StrassenKlasse STADTSTRASSE = new StrassenKlasse("Stadtstraße", 'S');
  public static StrassenKlasse KREISSTRASSE = new StrassenKlasse("Kreisstraße", 'K');
  public static StrassenKlasse GEMEINDESTRASSE = new StrassenKlasse("Gemeindestraße", 'G');



  private StrassenKlasse(String name, char abbreviation) {
    try {
      _Name = name;
      _Abbreviation = abbreviation;
      if (__HashMapNameAsKey == null) {
        __HashMapNameAsKey = new HashMap<String,StrassenKlasse>();
      }
      __HashMapNameAsKey.put(name.toLowerCase(), this);
    }
    catch (Exception e) {
      e.printStackTrace();
    }

  }

  public String toString() {
    return _Name;
  }
  public String getName() {
    return _Name;
  }
  public char getAbbreviation() {
    return _Abbreviation;
  }




  public static StrassenKlasse getInstanceByName(String name) {
    return __HashMapNameAsKey.get(name.toLowerCase());
  }

}
